﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TFC.Models;

namespace TFC.Controllers
{
    public class CargosController : BaseController
    {
        private TFCEntities1 db = new TFCEntities1();

        //
        // GET: /Cargos/

        public ActionResult Index()
        {
            return View(db.Cargos.ToList());
        }

        //
        // GET: /Cargos/Details/5

        public ActionResult Details(int id = 0)
        {
            Cargo cargo = db.Cargos.Single(c => c.IdCargo == id);
            if (cargo == null)
            {
                return HttpNotFound();
            }
            return View(cargo);
        }

        //
        // GET: /Cargos/Create

        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /Cargos/Create

        [HttpPost]
        public ActionResult Create(Cargo cargo)
        {
            if (ModelState.IsValid)
            {
                db.Cargos.AddObject(cargo);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(cargo);
        }

        //
        // GET: /Cargos/Edit/5

        public ActionResult Edit(int id = 0)
        {
            Cargo cargo = db.Cargos.Single(c => c.IdCargo == id);
            if (cargo == null)
            {
                return HttpNotFound();
            }
            return View(cargo);
        }

        //
        // POST: /Cargos/Edit/5

        [HttpPost]
        public ActionResult Edit(Cargo cargo)
        {
            if (ModelState.IsValid)
            {
                db.Cargos.Attach(cargo);
                db.ObjectStateManager.ChangeObjectState(cargo, EntityState.Modified);
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(cargo);
        }

        //
        // GET: /Cargos/Delete/5

        public ActionResult Delete(int id = 0)
        {
            Cargo cargo = db.Cargos.Single(c => c.IdCargo == id);
            if (cargo == null)
            {
                return HttpNotFound();
            }
            return View(cargo);
        }

        //
        // POST: /Cargos/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {
            Cargo cargo = db.Cargos.Single(c => c.IdCargo == id);
            db.Cargos.DeleteObject(cargo);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}