﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TFC.Models;

namespace TFC.Controllers
{
    public class CategoriasComunicacionController : BaseController
    {
        private TFCEntities1 db = new TFCEntities1();

        //
        // GET: /CategoriasComunicacion/

        public ActionResult Index()
        {
            return View(db.CategoriasComunicacion.ToList());
        }

        //
        // GET: /CategoriasComunicacion/Details/5

        public ActionResult Details(int id = 0)
        {
            CategoriaComunicacion categoriacomunicacion = db.CategoriasComunicacion.Single(c => c.IdCategoria == id);
            if (categoriacomunicacion == null)
            {
                return HttpNotFound();
            }
            return View(categoriacomunicacion);
        }

        //
        // GET: /CategoriasComunicacion/Create

        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /CategoriasComunicacion/Create

        [HttpPost]
        public ActionResult Create(CategoriaComunicacion categoriacomunicacion)
        {
            if (ModelState.IsValid)
            {
                db.CategoriasComunicacion.AddObject(categoriacomunicacion);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(categoriacomunicacion);
        }

        //
        // GET: /CategoriasComunicacion/Edit/5

        public ActionResult Edit(int id = 0)
        {
            CategoriaComunicacion categoriacomunicacion = db.CategoriasComunicacion.Single(c => c.IdCategoria == id);
            if (categoriacomunicacion == null)
            {
                return HttpNotFound();
            }
            return View(categoriacomunicacion);
        }

        //
        // POST: /CategoriasComunicacion/Edit/5

        [HttpPost]
        public ActionResult Edit(CategoriaComunicacion categoriacomunicacion)
        {
            if (ModelState.IsValid)
            {
                db.CategoriasComunicacion.Attach(categoriacomunicacion);
                db.ObjectStateManager.ChangeObjectState(categoriacomunicacion, EntityState.Modified);
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(categoriacomunicacion);
        }

        //
        // GET: /CategoriasComunicacion/Delete/5

        public ActionResult Delete(int id = 0)
        {
            CategoriaComunicacion categoriacomunicacion = db.CategoriasComunicacion.Single(c => c.IdCategoria == id);
            if (categoriacomunicacion == null)
            {
                return HttpNotFound();
            }
            return View(categoriacomunicacion);
        }

        //
        // POST: /CategoriasComunicacion/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {
            CategoriaComunicacion categoriacomunicacion = db.CategoriasComunicacion.Single(c => c.IdCategoria == id);
            db.CategoriasComunicacion.DeleteObject(categoriacomunicacion);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}