﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TFC.Models;

namespace TFC.Controllers
{
    public class EstadosComunicacionController : BaseController
    {
        private TFCEntities1 db = new TFCEntities1();

        //
        // GET: /EstadosComunicacion/

        public ActionResult Index()
        {
            return View(db.EstadosComunicacion.ToList());
        }

        //
        // GET: /EstadosComunicacion/Details/5

        public ActionResult Details(int id = 0)
        {
            EstadoComunicacion estadocomunicacion = db.EstadosComunicacion.Single(e => e.IdEstado == id);
            if (estadocomunicacion == null)
            {
                return HttpNotFound();
            }
            return View(estadocomunicacion);
        }

        //
        // GET: /EstadosComunicacion/Create

        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /EstadosComunicacion/Create

        [HttpPost]
        public ActionResult Create(EstadoComunicacion estadocomunicacion)
        {
            if (ModelState.IsValid)
            {
                db.EstadosComunicacion.AddObject(estadocomunicacion);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(estadocomunicacion);
        }

        //
        // GET: /EstadosComunicacion/Edit/5

        public ActionResult Edit(int id = 0)
        {
            EstadoComunicacion estadocomunicacion = db.EstadosComunicacion.Single(e => e.IdEstado == id);
            if (estadocomunicacion == null)
            {
                return HttpNotFound();
            }
            return View(estadocomunicacion);
        }

        //
        // POST: /EstadosComunicacion/Edit/5

        [HttpPost]
        public ActionResult Edit(EstadoComunicacion estadocomunicacion)
        {
            if (ModelState.IsValid)
            {
                db.EstadosComunicacion.Attach(estadocomunicacion);
                db.ObjectStateManager.ChangeObjectState(estadocomunicacion, EntityState.Modified);
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(estadocomunicacion);
        }

        //
        // GET: /EstadosComunicacion/Delete/5

        public ActionResult Delete(int id = 0)
        {
            EstadoComunicacion estadocomunicacion = db.EstadosComunicacion.Single(e => e.IdEstado == id);
            if (estadocomunicacion == null)
            {
                return HttpNotFound();
            }
            return View(estadocomunicacion);
        }

        //
        // POST: /EstadosComunicacion/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {
            EstadoComunicacion estadocomunicacion = db.EstadosComunicacion.Single(e => e.IdEstado == id);
            db.EstadosComunicacion.DeleteObject(estadocomunicacion);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}