﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TFC.Models;

namespace TFC.Controllers
{
    public class FormasCobroController : BaseController
    {
        private TFCEntities1 db = new TFCEntities1();

        //
        // GET: /FormasCobro/

        public ActionResult Index()
        {
            return View(db.FormasCobro.ToList());
        }

        //
        // GET: /FormasCobro/Details/5

        public ActionResult Details(int id = 0)
        {
            FormaCobro formacobro = db.FormasCobro.Single(f => f.IdFormaCobro == id);
            if (formacobro == null)
            {
                return HttpNotFound();
            }
            return View(formacobro);
        }

        //
        // GET: /FormasCobro/Create

        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /FormasCobro/Create

        [HttpPost]
        public ActionResult Create(FormaCobro formacobro)
        {
            if (ModelState.IsValid)
            {
                db.FormasCobro.AddObject(formacobro);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(formacobro);
        }

        //
        // GET: /FormasCobro/Edit/5

        public ActionResult Edit(int id = 0)
        {
            FormaCobro formacobro = db.FormasCobro.Single(f => f.IdFormaCobro == id);
            if (formacobro == null)
            {
                return HttpNotFound();
            }
            return View(formacobro);
        }

        //
        // POST: /FormasCobro/Edit/5

        [HttpPost]
        public ActionResult Edit(FormaCobro formacobro)
        {
            if (ModelState.IsValid)
            {
                db.FormasCobro.Attach(formacobro);
                db.ObjectStateManager.ChangeObjectState(formacobro, EntityState.Modified);
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(formacobro);
        }

        //
        // GET: /FormasCobro/Delete/5

        public ActionResult Delete(int id = 0)
        {
            FormaCobro formacobro = db.FormasCobro.Single(f => f.IdFormaCobro == id);
            if (formacobro == null)
            {
                return HttpNotFound();
            }
            return View(formacobro);
        }

        //
        // POST: /FormasCobro/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {
            FormaCobro formacobro = db.FormasCobro.Single(f => f.IdFormaCobro == id);
            db.FormasCobro.DeleteObject(formacobro);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}