﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TFC.Models;

namespace TFC.Controllers
{
    public class GruposController : Controller
    {
        private TFCEntities1 db = new TFCEntities1();

        //
        // GET: /Grupos/

        public ActionResult Index()
        {
            return View(db.Grupos.ToList());
        }

        //
        // GET: /Grupos/Details/5

        public ActionResult Details(int id = 0)
        {
            Grupos grupos = db.Grupos.Single(g => g.IdGrupo == id);
            if (grupos == null)
            {
                return HttpNotFound();
            }
            return View(grupos);
        }

        //
        // GET: /Grupos/Create

        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /Grupos/Create

        [HttpPost]
        public ActionResult Create(Grupos grupos)
        {
            if (ModelState.IsValid)
            {
                db.Grupos.AddObject(grupos);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(grupos);
        }

        //
        // GET: /Grupos/Edit/5

        public ActionResult Edit(int id = 0)
        {
            Grupos grupos = db.Grupos.Single(g => g.IdGrupo == id);
            if (grupos == null)
            {
                return HttpNotFound();
            }
            return View(grupos);
        }

        //
        // POST: /Grupos/Edit/5

        [HttpPost]
        public ActionResult Edit(Grupos grupos)
        {
            if (ModelState.IsValid)
            {
                db.Grupos.Attach(grupos);
                db.ObjectStateManager.ChangeObjectState(grupos, EntityState.Modified);
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(grupos);
        }

        //
        // GET: /Grupos/Delete/5

        public ActionResult Delete(int id = 0)
        {
            Grupos grupos = db.Grupos.Single(g => g.IdGrupo == id);
            if (grupos == null)
            {
                return HttpNotFound();
            }
            return View(grupos);
        }

        //
        // POST: /Grupos/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {
            Grupos grupos = db.Grupos.Single(g => g.IdGrupo == id);
            db.Grupos.DeleteObject(grupos);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}