﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TFC.Models;

namespace TFC.Controllers
{
    public class ParametrosController : BaseController
    {
        private TFCEntities1 db = new TFCEntities1();

        //
        // GET: /Parametros/

        public ActionResult Index()
        {
            return View(db.Parametros.ToList());
        }

        //
        // GET: /Parametros/Details/5

        public ActionResult Details(int id = 0)
        {
            Parametro parametro = db.Parametros.Single(p => p.IdParametro == id);
            if (parametro == null)
            {
                return HttpNotFound();
            }
            return View(parametro);
        }

        //
        // GET: /Parametros/Create

        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /Parametros/Create

        [HttpPost]
        public ActionResult Create(Parametro parametro)
        {
            if (ModelState.IsValid)
            {
                db.Parametros.AddObject(parametro);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(parametro);
        }

        //
        // GET: /Parametros/Edit/5

        public ActionResult Edit(int id = 0)
        {
            Parametro parametro = db.Parametros.Single(p => p.IdParametro == id);
            if (parametro == null)
            {
                return HttpNotFound();
            }
            return View(parametro);
        }

        //
        // POST: /Parametros/Edit/5

        [HttpPost]
        public ActionResult Edit(Parametro parametro)
        {
            if (ModelState.IsValid)
            {
                db.Parametros.Attach(parametro);
                db.ObjectStateManager.ChangeObjectState(parametro, EntityState.Modified);
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(parametro);
        }

        //
        // GET: /Parametros/Delete/5

        public ActionResult Delete(int id = 0)
        {
            Parametro parametro = db.Parametros.Single(p => p.IdParametro == id);
            if (parametro == null)
            {
                return HttpNotFound();
            }
            return View(parametro);
        }

        //
        // POST: /Parametros/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {
            Parametro parametro = db.Parametros.Single(p => p.IdParametro == id);
            db.Parametros.DeleteObject(parametro);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}