﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TFC.Models;

namespace TFC.Controllers
{
    public class SubcuentasController : Controller
    {
        private TFCEntities1 db = new TFCEntities1();

        //
        // GET: /Subcuentas/

        public ActionResult Index()
        {
            var subcuentas = db.Subcuentas.Include("Cuenta");
            return View(subcuentas.ToList());
        }

        //
        // GET: /Subcuentas/Details/5

        public ActionResult Details(int id = 0)
        {
            Subcuenta subcuenta = db.Subcuentas.Single(s => s.IdSubcuenta == id);
            if (subcuenta == null)
            {
                return HttpNotFound();
            }
            return View(subcuenta);
        }

        //
        // GET: /Subcuentas/Create

        public ActionResult Create()
        {
            ViewBag.IdCuenta = new SelectList(db.Cuentas, "IdCuenta", "Descripcion");
            return View();
        }

        //
        // POST: /Subcuentas/Create

        [HttpPost]
        public ActionResult Create(Subcuenta subcuenta)
        {
            if (ModelState.IsValid)
            {
                db.Subcuentas.AddObject(subcuenta);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            ViewBag.IdCuenta = new SelectList(db.Cuentas, "IdCuenta", "Descripcion", subcuenta.IdCuenta);
            return View(subcuenta);
        }

        //
        // GET: /Subcuentas/Edit/5

        public ActionResult Edit(int id = 0)
        {
            Subcuenta subcuenta = db.Subcuentas.Single(s => s.IdSubcuenta == id);
            if (subcuenta == null)
            {
                return HttpNotFound();
            }
            ViewBag.IdCuenta = new SelectList(db.Cuentas, "IdCuenta", "Descripcion", subcuenta.IdCuenta);
            return View(subcuenta);
        }

        //
        // POST: /Subcuentas/Edit/5

        [HttpPost]
        public ActionResult Edit(Subcuenta subcuenta)
        {
            if (ModelState.IsValid)
            {
                db.Subcuentas.Attach(subcuenta);
                db.ObjectStateManager.ChangeObjectState(subcuenta, EntityState.Modified);
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.IdCuenta = new SelectList(db.Cuentas, "IdCuenta", "Descripcion", subcuenta.IdCuenta);
            return View(subcuenta);
        }

        //
        // GET: /Subcuentas/Delete/5

        public ActionResult Delete(int id = 0)
        {
            Subcuenta subcuenta = db.Subcuentas.Single(s => s.IdSubcuenta == id);
            if (subcuenta == null)
            {
                return HttpNotFound();
            }
            return View(subcuenta);
        }

        //
        // POST: /Subcuentas/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {
            Subcuenta subcuenta = db.Subcuentas.Single(s => s.IdSubcuenta == id);
            db.Subcuentas.DeleteObject(subcuenta);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}