﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TFC.Models;

namespace TFC.Controllers
{
    public class TiposPeriodoController : BaseController
    {
        private TFCEntities1 db = new TFCEntities1();

        //
        // GET: /TiposPeriodo/

        public ActionResult Index()
        {
            return View(db.TiposPeriodo.ToList());
        }

        //
        // GET: /TiposPeriodo/Details/5

        public ActionResult Details(int id = 0)
        {
            TipoPeriodo tipoperiodo = db.TiposPeriodo.Single(t => t.IdTipoPeriodo == id);
            if (tipoperiodo == null)
            {
                return HttpNotFound();
            }
            return View(tipoperiodo);
        }

        //
        // GET: /TiposPeriodo/Create

        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /TiposPeriodo/Create

        [HttpPost]
        public ActionResult Create(TipoPeriodo tipoperiodo)
        {
            if (ModelState.IsValid)
            {
                db.TiposPeriodo.AddObject(tipoperiodo);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(tipoperiodo);
        }

        //
        // GET: /TiposPeriodo/Edit/5

        public ActionResult Edit(int id = 0)
        {
            TipoPeriodo tipoperiodo = db.TiposPeriodo.Single(t => t.IdTipoPeriodo == id);
            if (tipoperiodo == null)
            {
                return HttpNotFound();
            }
            return View(tipoperiodo);
        }

        //
        // POST: /TiposPeriodo/Edit/5

        [HttpPost]
        public ActionResult Edit(TipoPeriodo tipoperiodo)
        {
            if (ModelState.IsValid)
            {
                db.TiposPeriodo.Attach(tipoperiodo);
                db.ObjectStateManager.ChangeObjectState(tipoperiodo, EntityState.Modified);
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(tipoperiodo);
        }

        //
        // GET: /TiposPeriodo/Delete/5

        public ActionResult Delete(int id = 0)
        {
            TipoPeriodo tipoperiodo = db.TiposPeriodo.Single(t => t.IdTipoPeriodo == id);
            if (tipoperiodo == null)
            {
                return HttpNotFound();
            }
            return View(tipoperiodo);
        }

        //
        // POST: /TiposPeriodo/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {
            TipoPeriodo tipoperiodo = db.TiposPeriodo.Single(t => t.IdTipoPeriodo == id);
            db.TiposPeriodo.DeleteObject(tipoperiodo);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}