﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TFC.Models;

namespace TFC.Controllers
{
    public class TiposPropiedadController : BaseController
    {
        private TFCEntities1 db = new TFCEntities1();

        //
        // GET: /TiposPropiedad/

        public ActionResult Index()
        {
            return View(db.TiposPropiedad.ToList());
        }

        //
        // GET: /TiposPropiedad/Details/5

        public ActionResult Details(int id = 0)
        {
            TipoPropiedad tipopropiedad = db.TiposPropiedad.Single(t => t.IdTipo == id);
            if (tipopropiedad == null)
            {
                return HttpNotFound();
            }
            return View(tipopropiedad);
        }

        //
        // GET: /TiposPropiedad/Create

        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /TiposPropiedad/Create

        [HttpPost]
        public ActionResult Create(TipoPropiedad tipopropiedad)
        {
            if (ModelState.IsValid)
            {
                db.TiposPropiedad.AddObject(tipopropiedad);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(tipopropiedad);
        }

        //
        // GET: /TiposPropiedad/Edit/5

        public ActionResult Edit(int id = 0)
        {
            TipoPropiedad tipopropiedad = db.TiposPropiedad.Single(t => t.IdTipo == id);
            if (tipopropiedad == null)
            {
                return HttpNotFound();
            }
            return View(tipopropiedad);
        }

        //
        // POST: /TiposPropiedad/Edit/5

        [HttpPost]
        public ActionResult Edit(TipoPropiedad tipopropiedad)
        {
            if (ModelState.IsValid)
            {
                db.TiposPropiedad.Attach(tipopropiedad);
                db.ObjectStateManager.ChangeObjectState(tipopropiedad, EntityState.Modified);
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(tipopropiedad);
        }

        //
        // GET: /TiposPropiedad/Delete/5

        public ActionResult Delete(int id = 0)
        {
            TipoPropiedad tipopropiedad = db.TiposPropiedad.Single(t => t.IdTipo == id);
            if (tipopropiedad == null)
            {
                return HttpNotFound();
            }
            return View(tipopropiedad);
        }

        //
        // POST: /TiposPropiedad/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {
            var propiedades = db.Propiedades.Where(p => p.IdTipo == id).ToList();

            if (propiedades.Count == 0)
            {
                TipoPropiedad tipopropiedad = db.TiposPropiedad.Single(t => t.IdTipo == id);
                db.TiposPropiedad.DeleteObject(tipopropiedad);
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            else
            {
                return RedirectToAction("RelatedData", "Error");
            }
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}