﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using WebMatrix.WebData;
using TFC.Filters;
using TFC.Helpers;
using TFC.Models;

namespace TFC.Helpers
{
    [Localization]
    public static class CustomValidations
    {
        public static class PersonaValidations
        {
            public static ValidationResult IsValidEmail(string value, ValidationContext validationContext)
            {
                if (value != null && value != string.Empty)
                {
                    Persona persona = (Persona)validationContext.ObjectInstance;
                    TFCEntities1 db = new TFCEntities1();

                    //Comprobamos si el Email está asignado a una persona que no es ella misma.
                    var personas = db.Personas.Where(p => p.Email == value && p.IdPersona != persona.IdPersona);

                    if (personas.ToList().Count == 0)
                    {
                        return ValidationResult.Success;
                    }
                    //Si ya existe un inicio de sesión con el mismo email, devolvemos un error
                    return new ValidationResult(TFC.Resources.Shared.Error.ExisteEmail);
                }
                else
                {
                    //Permitimos que el email quede en blanco.
                    return ValidationResult.Success;
                }
            }
        }
    }
    
}