﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using TFC.Filters;
using TFC.Helpers;

namespace TFC.Models
{
    [MetadataType(typeof(AdministradorFincasMetadata))]
    public partial class AdministradorFincas
    {
    }

    public class AdministradorFincasMetadata
    {
        [LocalizationDisplayName("NombreComercial", typeof(TFC.Resources.Models.Persona))]
        public string NombreComercial { get; set; }

        [Required(ErrorMessageResourceName = "Requerido",
                    ErrorMessageResourceType = typeof(TFC.Resources.Shared.Error))]
        [LocalizationDisplayName("Nombre", typeof(TFC.Resources.Models.Persona))]
        public string Nombre { get; set; }

        [LocalizationDisplayName("Apellidos", typeof(TFC.Resources.Models.Persona))]
        public string Apellidos { get; set; }

        [LocalizationDisplayName("Nif", typeof(TFC.Resources.Models.Persona))]
        public string Nif { get; set; }

        [LocalizationDisplayName("Direccion", typeof(TFC.Resources.Models.Persona))]
        public string Direccion { get; set; }  

        [LocalizationDisplayName("CP", typeof(TFC.Resources.Models.Persona))]
        public string CP { get; set; }  

        [LocalizationDisplayName("Localidad", typeof(TFC.Resources.Models.Persona))]
        public string Localidad { get; set; }  

        [LocalizationDisplayName("Provincia", typeof(TFC.Resources.Models.Persona))]
        public int IdProvincia { get; set; }

        [RegularExpression(@"[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}",
            ErrorMessageResourceName = "ErrorEmail",
            ErrorMessageResourceType = typeof(TFC.Resources.Shared.Error))]
        [Required(ErrorMessageResourceName = "Requerido",
                    ErrorMessageResourceType = typeof(TFC.Resources.Shared.Error))]
        [CustomValidation(typeof(CustomValidations.PersonaValidations), "IsValidEmail")]
        [LocalizationDisplayName("Email", typeof(TFC.Resources.Models.Persona))]
        public string Email { get; set; }  

        [LocalizationDisplayName("Telefono", typeof(TFC.Resources.Models.Persona))]
        public string Telefono { get; set; }  

        [LocalizationDisplayName("Movil", typeof(TFC.Resources.Models.Persona))]
        public string Movil { get; set; } 

        [LocalizationDisplayName("Fax", typeof(TFC.Resources.Models.Persona))]
        public string Fax { get; set; } 

        [Required(ErrorMessageResourceName = "Requerido",
                    ErrorMessageResourceType = typeof(TFC.Resources.Shared.Error))]
        [LocalizationDisplayName("Activo", typeof(TFC.Resources.Models.Persona))]
        public bool Activo { get; set; } 
    }

        
    [MetadataType(typeof(PropietarioMetadata))]
    public partial class Propietario
    {
    }

    public class PropietarioMetadata
    {
        [Required(ErrorMessageResourceName = "Requerido",
                    ErrorMessageResourceType = typeof(TFC.Resources.Shared.Error))]
        [LocalizationDisplayName("Nombre", typeof(TFC.Resources.Models.Persona))]
        public string Nombre { get; set; }

        [LocalizationDisplayName("Apellidos", typeof(TFC.Resources.Models.Persona))]
        public string Apellidos { get; set; }

        [LocalizationDisplayName("Nif", typeof(TFC.Resources.Models.Persona))]
        public string Nif { get; set; }

        [LocalizationDisplayName("Direccion", typeof(TFC.Resources.Models.Persona))]
        public string Direccion { get; set; }  

        [LocalizationDisplayName("CP", typeof(TFC.Resources.Models.Persona))]
        public string CP { get; set; }  

        [LocalizationDisplayName("Localidad", typeof(TFC.Resources.Models.Persona))]
        public string Localidad { get; set; }  

        [LocalizationDisplayName("Provincia", typeof(TFC.Resources.Models.Persona))]
        public int IdProvincia { get; set; }

        [RegularExpression(@"[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}",
            ErrorMessageResourceName = "ErrorEmail",
            ErrorMessageResourceType = typeof(TFC.Resources.Shared.Error))]
        [CustomValidation(typeof(CustomValidations.PersonaValidations), "IsValidEmail")]
        [LocalizationDisplayName("Email", typeof(TFC.Resources.Models.Persona))]
        public string Email { get; set; }  

        [LocalizationDisplayName("Telefono", typeof(TFC.Resources.Models.Persona))]
        public string Telefono { get; set; }  

        [LocalizationDisplayName("Movil", typeof(TFC.Resources.Models.Persona))]
        public string Movil { get; set; } 

        [Required(ErrorMessageResourceName = "Requerido",
                    ErrorMessageResourceType = typeof(TFC.Resources.Shared.Error))]
        [LocalizationDisplayName("Activo", typeof(TFC.Resources.Models.Persona))]
        public bool Activo { get; set; }

        [LocalizationDisplayName("FormaCobro", typeof(TFC.Resources.Models.Persona))]
        public string FormaCobroIdFormaCobro { get; set; } 
    }

    [MetadataType(typeof(ComunidadMetadata))]
    public partial class Comunidad
    {
    }

    public class ComunidadMetadata
    {
        [LocalizationDisplayName("Nif", typeof(TFC.Resources.Models.Comunidad))]
        public string Nif { get; set; }

        [Required(ErrorMessageResourceName = "Requerido",
                    ErrorMessageResourceType = typeof(TFC.Resources.Shared.Error))]
        [LocalizationDisplayName("Direccion", typeof(TFC.Resources.Models.Comunidad))]
        public string Direccion { get; set; }

        [LocalizationDisplayName("CP", typeof(TFC.Resources.Models.Comunidad))]
        public string CP { get; set; }

        [Required(ErrorMessageResourceName = "Requerido",
                    ErrorMessageResourceType = typeof(TFC.Resources.Shared.Error))]
        [LocalizationDisplayName("Localidad", typeof(TFC.Resources.Models.Comunidad))]
        public string Localidad { get; set; }

        [LocalizationDisplayName("Provincia", typeof(TFC.Resources.Models.Comunidad))]
        public int IdProvincia { get; set; }

        [Required(ErrorMessageResourceName = "Requerido",
                    ErrorMessageResourceType = typeof(TFC.Resources.Shared.Error))]
        [LocalizationDisplayName("Activa", typeof(TFC.Resources.Models.Comunidad))]
        public bool Activa { get; set; }

        [LocalizationDisplayName("CuentaBancaria", typeof(TFC.Resources.Models.Comunidad))]
        public string CuentaBancaria { get; set; }

        [LocalizationDisplayName("TipoPeriodo", typeof(TFC.Resources.Models.Comunidad))]
        public int IdTipoPeriodo { get; set; }
    }

    [MetadataType(typeof(PropiedadMetadata))]
    public partial class Propiedad
    {
    }

    public class PropiedadMetadata
    {
        [Required(ErrorMessageResourceName = "Requerido",
                    ErrorMessageResourceType = typeof(TFC.Resources.Shared.Error))]
        [LocalizationDisplayName("PropiedadDesc", typeof(TFC.Resources.Models.Propiedad))]
        public string PropiedadDesc { get; set; }

        [Required(ErrorMessageResourceName = "Requerido",
                    ErrorMessageResourceType = typeof(TFC.Resources.Shared.Error))]
        [LocalizationDisplayName("Tipo", typeof(TFC.Resources.Models.Propiedad))]
        public int IdTipo { get; set; }

        [Range(0, 100000)]
        [LocalizationDisplayName("Cuota", typeof(TFC.Resources.Models.Propiedad))]
        public double Cuota { get; set; }

        [Range(0, 100)]
        [LocalizationDisplayName("Coeficiente", typeof(TFC.Resources.Models.Propiedad))]
        public double Coeficiente { get; set; }

       
    }
}